@import url('https://fonts.googleapis.com/css?family=Open+Sans:300');

@font-face {
  font-family: "OpenSans-SemiBold";
  src: url('../fonts/OpenSans-SemiBold.ttf') format("truetype");
}
@font-face {
  font-family: "OpenSans-Regular";
  src: url('../fonts/OpenSans-Regular.ttf') format("truetype");
}

.practiceheapsort {
  width               : 100%;
  min-width           : 1366px;
  height              : 100vh;
  min-height          : 768px;
  position            : relative;
  overflow            : hidden;
  margin              : 0px;
  background-color    : rgba(255, 255, 255, 1.0);
}
a {
  text-decoration     : none;
}
div {
  -webkit-text-size-adjust: none;
}
.practiceheapsort .path14copy8 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 225px;
  height              : 1px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 893px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 493px;
  height              : 16px;
  width               : 21px;
  position            : absolute;
  margin              : 0;
  left                : 861px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  opacity             : 0.74;
}
.practiceheapsort .arrowcopy2 .group4 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 16px;
  width               : 21px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy2 .group4 .path6 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 16px;
  width               : 13px;
  position            : absolute;
  margin              : 0;
  left                : 8px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy2 .group4 .path7 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 7px;
  height              : 2px;
  width               : 19px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group15copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 878px;
  height              : 36px;
  width               : 33px;
  position            : absolute;
  margin              : 0;
  left                : 1338px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group15copy .i1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 3px;
  height              : auto;
  width               : 27px;
  position            : absolute;
  margin              : 0;
  left                : 5px;
  -ms-transform       : rotate(-11deg); /* IE 9 */
  -webkit-transform   : rotate(-11deg); /* Chrome, Safari, Opera */
  transform           : rotate(-11deg);
  font-family         : "SnellRoundhand-Black", Helvetica, Arial, serif;
  font-size           : 24.0px;
  color               : rgba(255, 255, 255, 1.0);
  text-align          : justify;
  letter-spacing      : 1.05px;
  line-height         : 30.0px;
}
.practiceheapsort .group15copy .oval21 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 9px;
  height              : 19px;
  width               : 19px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 883px;
  height              : 35px;
  width               : 34px;
  position            : absolute;
  margin              : 0;
  left                : 1333px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14copy .i2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 2px;
  height              : auto;
  width               : 28px;
  position            : absolute;
  margin              : 0;
  left                : 5px;
  -ms-transform       : rotate(-11deg); /* IE 9 */
  -webkit-transform   : rotate(-11deg); /* Chrome, Safari, Opera */
  transform           : rotate(-11deg);
  font-family         : "SnellRoundhand-Black", Helvetica, Arial, serif;
  font-size           : 24.0px;
  color               : rgba(255, 255, 255, 1.0);
  text-align          : justify;
  letter-spacing      : 1.05px;
  line-height         : 30.0px;
}
.practiceheapsort .group14copy .oval22 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 8px;
  height              : 20px;
  width               : 20px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .exercise {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 44px;
  height              : auto;
  width               : auto;
  position            : absolute;
  margin              : 0;
  left                : 160px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 24.0px;
  color               : rgba(0, 0, 0, 1.0);
  text-align          : justify;
  letter-spacing      : 1.05px;
  line-height         : 33.0px;
}
.practiceheapsort .path14copy5 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 225px;
  height              : 1px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 408px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .path14copy6 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 225px;
  height              : 1px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 571px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 493px;
  height              : 16px;
  width               : 21px;
  position            : absolute;
  margin              : 0;
  left                : 627px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  opacity             : 0.74;
}
.practiceheapsort .arrowcopy .group41 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 16px;
  width               : 21px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy .group41 .path61 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 16px;
  width               : 13px;
  position            : absolute;
  margin              : 0;
  left                : 8px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .arrowcopy .group41 .path71 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 7px;
  height              : 2px;
  width               : 19px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group10 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 676px;
  height              : 43px;
  width               : 149px;
  position            : absolute;
  margin              : 0;
  left                : 610px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group10 .buttoncopy4 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 43px;
  width               : 149px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group10 .buttoncopy4 .rectangle {
  background-color    : rgba(104, 197, 243, 1.0);
  top                 : 0px;
  height              : 43px;
  width               : 148px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  border-radius       : 21px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group10 .restart {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 10px;
  height              : auto;
  width               : auto;
  position            : absolute;
  margin              : 0;
  left                : 51px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 14.0px;
  color               : rgba(255, 255, 255, 1.0);
  text-align          : justify;
  line-height         : 19.0px;
}
.practiceheapsort .group14 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 53px;
  height              : 113px;
  width               : 503px;
  position            : absolute;
  margin              : 0;
  left                : 864px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 113px;
  width               : 503px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .rectangle3 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 113px;
  width               : 478px;
  position            : absolute;
  margin              : 0;
  left                : 25px;
  border-style        : solid;
  border-width        : 1px;
  border-color        : rgba(150, 150, 150, 1.0);
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  opacity             : 0.21;
}
.practiceheapsort .group14 .group12 .group7 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 9px;
  height              : 83px;
  width               : 411px;
  position            : absolute;
  margin              : 0;
  left                : 36px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .group7 .path2copy3 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : -1px;
  height              : 3px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 50px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .group7 .path14copy9 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 56px;
  height              : 1px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 60px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .group7 .solveatleasttwoqu {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 26px;
  height              : auto;
  width               : auto;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "Open Sans", Helvetica, Arial, serif;
  font-weight         : 300;
  font-style          : normal;
  font-size           : 14.0px;
  color               : rgba(0, 0, 0, 1.0);
  text-align          : justify;
  line-height         : 19.0px;
}
.practiceheapsort .group14 .group12 .group7 .instruction {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 1px;
  height              : auto;
  width               : auto;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 14.0px;
  color               : rgba(2, 2, 2, 1.0);
  text-align          : justify;
  line-height         : 19.0px;
}
.practiceheapsort .group14 .group12 .rectangle5 {
  background-color    : rgba(105, 179, 215, 1.0);
  top                 : 0px;
  height              : 113px;
  width               : 26px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .rightarrow {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 51px;
  height              : 13px;
  width               : 7px;
  position            : absolute;
  margin              : 0;
  left                : 9px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group14 .group12 .rightarrow .shape {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 13px;
  width               : 7px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 129px;
  height              : 378px;
  width               : 328px;
  position            : absolute;
  margin              : 0;
  left                : 452px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 169px;
  width               : 247px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2 .oval4 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 137px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 217px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2 .a89 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 144px;
  height              : auto;
  width               : 17px;
  position            : absolute;
  margin              : 0;
  left                : 225px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .group42 .group2 .a891 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : auto;
  width               : 29px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 18.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 24.0px;
}
.practiceheapsort .group42 .group2 .a49 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : auto;
  width               : 29px;
  position            : absolute;
  margin              : 0;
  left                : 37px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 18.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 24.0px;
}
.practiceheapsort .group42 .group2 .a35 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : auto;
  width               : 29px;
  position            : absolute;
  margin              : 0;
  left                : 83px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 18.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 24.0px;
}
.practiceheapsort .group42 .group2 .a20 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : auto;
  width               : 29px;
  position            : absolute;
  margin              : 0;
  left                : 120px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 18.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 24.0px;
}
.practiceheapsort .group42 .group2 .a9 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : auto;
  width               : 29px;
  position            : absolute;
  margin              : 0;
  left                : 169px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 18.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 24.0px;
}
.practiceheapsort .group42 .group7copy7 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 163px;
  height              : 65px;
  width               : 131px;
  position            : absolute;
  margin              : 0;
  left                : 166px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group7copy7 .path9 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 65px;
  width               : 66px;
  position            : absolute;
  margin              : 0;
  left                : 65px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group7copy7 .path9copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 65px;
  width               : 66px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group7copy8 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 257px;
  height              : 90px;
  width               : 58px;
  position            : absolute;
  margin              : 0;
  left                : 137px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group7copy8 .path91 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 90px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 28px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group7copy8 .path9copy1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 90px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy3 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 228px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 283px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy3 .oval41 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy3 .a351 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 5px;
  height              : auto;
  width               : 17px;
  position            : absolute;
  margin              : 0;
  left                : 9px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .group42 .group2copy5 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 228px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 150px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy5 .oval42 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy5 .a491 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 5px;
  height              : auto;
  width               : 17px;
  position            : absolute;
  margin              : 0;
  left                : 9px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .group42 .group2copy6 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 347px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 122px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy6 .oval43 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 30px;
  width               : 30px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy6 .a201 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 6px;
  height              : auto;
  width               : 17px;
  position            : absolute;
  margin              : 0;
  left                : 9px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .group42 .group2copy8 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 348px;
  height              : 30px;
  width               : 28px;
  position            : absolute;
  margin              : 0;
  left                : 180px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy8 .group21 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 30px;
  width               : 28px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy8 .group21 .oval44 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 28px;
  width               : 27px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group42 .group2copy8 .group21 .a91 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 5px;
  height              : auto;
  width               : 17px;
  position            : absolute;
  margin              : 0;
  left                : 9px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .group42 .in1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 235px;
  height              : auto;
  width               : 6px;
  position            : absolute;
  margin              : 0;
  left                : 188px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(208, 1, 27, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .group42 .in1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 353px;
  height              : auto;
  width               : 6px;
  position            : absolute;
  margin              : 0;
  left                : 161px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(208, 1, 27, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .group42 .in1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 353px;
  height              : auto;
  width               : 6px;
  position            : absolute;
  margin              : 0;
  left                : 217px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(208, 1, 27, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .group42 .in1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 235px;
  height              : auto;
  width               : 6px;
  position            : absolute;
  margin              : 0;
  left                : 321px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(208, 1, 27, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .group42 .a0copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 141px;
  height              : auto;
  width               : 10px;
  position            : absolute;
  margin              : 0;
  left                : 256px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(208, 1, 27, 1.0);
  text-align          : justify;
  letter-spacing      : 2.68px;
  line-height         : 18.0px;
}
.practiceheapsort .path6copy4 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 579px;
  height              : 21px;
  width               : 12px;
  position            : absolute;
  margin              : 0;
  left                : 539px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .linecopy3 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 606px;
  height              : 2px;
  width               : 101px;
  position            : absolute;
  margin              : 0;
  left                : 445px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .insertbeforecurren {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 615px;
  height              : auto;
  width               : 249px;
  position            : absolute;
  margin              : 0;
  left                : 410px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-Regular", Helvetica, Arial, serif;
  font-size           : 13.0px;
  color               : rgba(0, 0, 0, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .typevalue {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 581px;
  height              : auto;
  width               : 176px;
  position            : absolute;
  margin              : 0;
  left                : 441px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  opacity             : 0.4;
  font-family         : "Open Sans", Helvetica, Arial, serif;
  font-weight         : 300;
  font-style          : normal;
  font-size           : 13.0px;
  color               : rgba(74, 73, 74, 1.0);
  text-align          : justify;
  line-height         : 18.0px;
}
.practiceheapsort .groupcopy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 578px;
  height              : 39px;
  width               : 121px;
  position            : absolute;
  margin              : 0;
  left                : 624px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy .button {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 2px;
  height              : 33px;
  width               : 115px;
  position            : relative;
  margin              : 0;
  left                : 3px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy .button .rectangle {
  background-color    : rgba(152, 202, 60, 1.0);
  top                 : 0px;
  height              : 33px;
  width               : 115px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  border-radius       : 16px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy .button .extractmax {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 8px;
  height              : auto;
  width               : 76px;
  position            : absolute;
  margin              : 0;
  left                : 17px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 12.0px;
  color               : rgba(255, 255, 255, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .groupcopy2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 578px;
  height              : 39px;
  width               : 121px;
  position            : absolute;
  margin              : 0;
  left                : 821px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy2 .button1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 2px;
  height              : 33px;
  width               : 115px;
  position            : relative;
  margin              : 0;
  left                : 3px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy2 .button1 .rectangle1 {
  background-color    : rgba(152, 202, 60, 1.0);
  top                 : 0px;
  height              : 33px;
  width               : 115px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  border-radius       : 16px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .groupcopy2 .button1 .rebuild {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 8px;
  height              : auto;
  width               : 76px;
  position            : absolute;
  margin              : 0;
  left                : 21px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "OpenSans-SemiBold", Helvetica, Arial, serif;
  font-size           : 12.0px;
  color               : rgba(255, 255, 255, 1.0);
  text-align          : justify;
  line-height         : 17.0px;
}
.practiceheapsort .path3copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 598px;
  height              : 3px;
  width               : 3px;
  position            : absolute;
  margin              : 0;
  left                : 699px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group3copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 588px;
  height              : 16px;
  width               : 20px;
  position            : absolute;
  margin              : 0;
  left                : 715px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .group3copy .path4 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 7px;
  height              : 9px;
  width               : 15px;
  position            : absolute;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(6deg); /* IE 9 */
  -webkit-transform   : rotate(6deg); /* Chrome, Safari, Opera */
  transform           : rotate(6deg);
}
.practiceheapsort .group3copy .triangle {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 2px;
  height              : 8px;
  width               : 5px;
  position            : absolute;
  margin              : 0;
  left                : 13px;
  -ms-transform       : rotate(15deg); /* IE 9 */
  -webkit-transform   : rotate(15deg); /* Chrome, Safari, Opera */
  transform           : rotate(15deg);
}
.practiceheapsort .reload {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 586px;
  height              : 21px;
  width               : 18px;
  position            : absolute;
  margin              : 0;
  left                : 906px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .reload .shape1 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 21px;
  width               : 18px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .rectangle2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 119px;
  height              : 47px;
  width               : 372px;
  position            : absolute;
  margin              : 0;
  left                : 437px;
  border-radius       : 10px;
  border-style        : solid;
  border-width        : 1px;
  border-color        : rgba(150, 150, 150, 1.0);
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .path5 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 121px;
  height              : 44px;
  width               : 2px;
  position            : absolute;
  margin              : 0;
  left                : 479px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .path5copy {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 121px;
  height              : 44px;
  width               : 2px;
  position            : absolute;
  margin              : 0;
  left                : 523px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .path5copy2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 121px;
  height              : 44px;
  width               : 2px;
  position            : absolute;
  margin              : 0;
  left                : 567px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .path5copy3 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 121px;
  height              : 44px;
  width               : 2px;
  position            : absolute;
  margin              : 0;
  left                : 611px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .sortedarray {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 125px;
  height              : auto;
  width               : auto;
  position            : absolute;
  margin              : 0;
  left                : 250px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
  font-family         : "Open Sans", Helvetica, Arial, serif;
  font-weight         : 300;
  font-style          : normal;
  font-size           : 22.0px;
  color               : rgba(0, 0, 0, 1.0);
  text-align          : justify;
  letter-spacing      : 0.23px;
  line-height         : 30.0px;
}
.practiceheapsort .icon {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 59px;
  height              : 14px;
  width               : 14px;
  position            : absolute;
  margin              : 0;
  left                : 870px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
.practiceheapsort .icon .shape2 {
  background-color    : rgba(255, 255, 255, 0.0);
  top                 : 0px;
  height              : 14px;
  width               : 14px;
  position            : relative;
  margin              : 0;
  left                : 0px;
  -ms-transform       : rotate(0deg); /* IE 9 */
  -webkit-transform   : rotate(0deg); /* Chrome, Safari, Opera */
  transform           : rotate(0deg);
}
/* .anima-animate-appear prefix for appear animations */
.anima-animate-appear {
  opacity             : 0;
  display             : block;
  -webkit-animation   : anima-reveal 0.3s ease-in-out 1 normal forwards;
  -moz-animation      : anima-reveal 0.3s ease-in 1 normal forwards;
  -o-animation        : anima-reveal 0.3s ease-in-out 1 normal forwards;
  animation           : anima-reveal 0.3s ease-in-out 1 normal forwards;
}
.anima-animate-disappear {
  opacity             : 1;
  display             : block;
  -webkit-animation   : anima-reveal 0.3s ease-in-out 1 reverse forwards;
  -moz-animation      : anima-reveal 0.3s ease-in 1 normal forwards;
  -o-animation        : anima-reveal 0.3s ease-in-out 1 reverse forwards;
  animation           : anima-reveal 0.3s ease-in-out 1 reverse forwards;
}
.anima-animate-nodelay {
  -webkit-animation-delay: 0;
  -moz-animation-delay: 0;
  -o-animation-delay  : 0;
  animation-delay     : 0;
}
@-webkit-keyframes anima-reveal {
  0%
   
  {
      opacity: 0;
    }
  
    
  100%
   
  {
      opacity: 1;
    }
}
@-moz-keyframes anima-reveal {
  0%
   
  {
      opacity: 0;
    }
  
    
  100%
   
  {
      opacity: 1;
    }
}
@-o-keyframes anima-reveal {
  0%
   
  {
      opacity: 0;
    }
  
    
  100%
   
  {
      opacity: 1;
    }
}
@keyframes anima-reveal {
  0%
   
  {
      opacity: 0;
    }
  
    
  100%
   
  {
      opacity: 1;
    }
}